description

# NodeValidator class Null safety

Interface used to validate that only accepted elements and attributes are allowed while parsing HTML strings into DOM nodes.

In general, customization of validation behavior should be done via the NodeValidatorBuilder class to mitigate the chances of incorrectly implementing validation rules.

Implementers
  - NodeValidatorBuilder

## Constructors

NodeValidator({UriPolicy? uriPolicy})
  Construct a default NodeValidator which only accepts whitelisted HTML5 elements and attributes. [...]
  factory
NodeValidator.throws(NodeValidator base)
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

allowsAttribute(Element element, String attributeName, String value) → bool
  Returns true if the attribute is allowed. [...]
allowsElement(Element element) → bool
  Returns true if the tagName is an accepted type.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited